--- title: "Update Key Name" slug: "security-kms2-update-key-name" updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-kms2-update-key-name" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Update Key Name Available in Classic and VPC Change a key's name. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /kms/v1/keys/{keyTag}/name | ### Request headers For information about the headers common to all Key Management Service APIs, see the account authentication method in [Key Management Service request headers](/docs/en/security-kms#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%942%EA%B3%84%EC%A0%95%EC%9D%B8%EC%A6%9D). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyTag` | String | Required | Key tag - Unique identifier for the key derived from the key name. - See [Get key list](/docs/en/security-kms2-key-list). - Use to request encryption or decryption with REST APIs. - Key tags are not treated as confidential information. | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `keyName` | String | Required | Key name to change to - Enter 3-15 characters, including English letters, numbers, and special characters "-" and "_". - The first character must be an English letter, and the name can't be duplicated with other key names in the user's keystore. | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://ocapi.ncloud.com/kms/v1/keys/a1b2c*****4y5z6/name' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --data '{ "keyName": "newKeyName" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Success or Failure | | `data` | Object | - | Response result | | `data.keyTag` | String | - | Key tag | | `data.keyName` | String | - | Changed key name | ### Response status codes For information about the HTTP status codes common to all Key Management Service APIs, see [Key Management Service response status codes](/docs/en/security-kms#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C2). ### Response example The response example is as follows: ``` { "code": "SUCCESS", "data": { "keyTag": "a1b2c*****4y5z6", "keyName": "newKeyName" } } ```